
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>浅谈下拉菜单中的Option对象_javascript技巧 / iVAN</title>

    <meta name="description" content="浅谈下拉菜单中的Option对象_javascript技巧 1.创建Option对象 1.1 var optionEle1 = document.createElement('option'); 1.2 var optionEle2 = new Option(text, value, defaultSelected, selected); 2.options属性 2.1 select.options返回select标签下面的Option对象的集合 3.清空下拉菜单 3.1 利用for循环删除,注意数组长度的动态变化 3.2 select.options.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">浅谈下拉菜单中的Option对象_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>1.创建Option对象</strong></p>
<p>　　1.1 var optionEle1 = document.createElement('option');</p>
<p>　　1.2 var optionEle2 = new Option(text, value, defaultSelected, selected);</p>
<p><strong>2.options属性</strong></p>
<p>　　2.1 select.options返回select标签下面的Option对象的集合</p>
<p><strong>3.清空下拉菜单</strong></p>
<p>　　3.1 利用for循环删除,注意数组长度的动态变化</p>
<p>　　3.2 select.options.length = 0;</p>
<p><strong>4.应用</strong></p>
<pre>
&lt;html&gt;
&lt;head&gt;
&lt;script language="javascript"&gt;
function number(){
var obj = document.getElementById("mySelect");
//obj.options[obj.selectedIndex] = new Option("我的吃吃","4");//在当前选中的那个的值中改变
//obj.options.add(new Option("我的吃吃","4"));再添加一个option
//alert(obj.selectedIndex);//显示序号，option自己设置的
//obj.options[obj.selectedIndex].text = "我的吃吃";更改值
//obj.remove(obj.selectedIndex);删除功能
}
&lt;/script&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;select id="mySelect"&gt;
&lt;option&gt;我的包包&lt;/option&gt;
&lt;option&gt;我的本本&lt;/option&gt;
&lt;option&gt;我的油油&lt;/option&gt;
&lt;option&gt;我的担子&lt;/option&gt;
&lt;/select&gt;
&lt;input type="button" name="button" value="查看结果" onclick="number();"&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>
<p>1.动态创建select</p>
<pre>
function createSelect(){ 

    var mySelect = document.createElement("select");
mySelect.id = "mySelect";
document.body.appendChild(mySelect);
}
</pre>
<p>2.添加选项option</p>
<pre>
function addOption(){ 

     //根据id查找对象，
var obj=document.getElementById('mySelect'); 

      //添加一个选项
obj.add(new   Option("文本","值"));  //这个只能在IE中有效
obj.options.add(new Option("text","value")); //这个兼容IE与firefox
}
</pre>
<p>3.删除所有选项option</p>
<pre>
function removeAll(){
var obj=document.getElementById('mySelect'); 

obj.options.length=0; 

   }
</pre>
<p>4.删除一个选项option</p>
<pre>
function removeOne(){
var obj=document.getElementById('mySelect'); 

      //index,要删除选项的序号，这里取当前选中选项的序号 

    var index=obj.selectedIndex;
obj.options.remove(index);
}
</pre>
<p>5.获得选项option的值</p>
<pre>
var obj=document.getElementById('mySelect'); 

var index=obj.selectedIndex; //序号，取当前选中选项的序号 

var val = obj.options[index].value;
</pre>
<p>6.获得选项option的文本</p>
<pre>
var obj=document.getElementById('mySelect'); 

var index=obj.selectedIndex; //序号，取当前选中选项的序号 

var val = obj.options[index].text;
</pre>
<p>7.修改选项option</p>
<pre>
var obj=document.getElementById('mySelect'); 

var index=obj.selectedIndex; //序号，取当前选中选项的序号 

var val = obj.options[index]=new Option("新文本","新值");
</pre>
<p>8.删除select</p>
<pre>
function removeSelect(){
var mySelect = document.getElementById("mySelect");
mySelect.parentNode.removeChild(mySelect);
}
</pre>
<pre>
&lt;!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//ZH-CN" "http://www.w3.org/TR/html4/strict.dtd"&gt;
&lt;html&gt;
&lt;head&gt;
&lt;meta http-equiv="Content-Type" content="text/html"&gt;
&lt;head&gt;
&lt;script language=JavaScript&gt;
function $(id)
{
return document.getElementById(id)
} 

function show()
{
var selectObj=$("area")
var myOption=document.createElement("option")
myOption.setAttribute("value","10")
myOption.appendChild(document.createTextNode("上海")) 

var myOption1=document.createElement("option")
myOption1.setAttribute("value","100")
myOption1.appendChild(document.createTextNode("南京")) 

selectObj.appendChild(myOption)
selectObj.appendChild(myOption1) 

} 

function choice()
{
var index=$("area").selectedIndex;
var val=$("area").options[index].getAttribute("value") 

if(val==10)
{
var i=$("context").childNodes.length-1;
var remobj=$("context").childNodes[i];
remobj.removeNode(true)
var sh=document.createElement("select")
sh.add(new Option("浦东新区","101"))
sh.add(new Option("黄浦区","102"))
sh.add(new Option("徐汇区","103"))
sh.add(new Option("普陀区","104"))
$("context").appendChild(sh) 

} 

if(val==100)
{
var i=$("context").childNodes.length-1;
var remobj=$("context").childNodes[i];
remobj.removeNode(true)
var nj=document.createElement("select")
nj.add(new Option("玄武区","201"))
nj.add(new Option("白下区","202"))
nj.add(new Option("下关区","203"))
nj.add(new Option("栖霞区","204"))
$("context").appendChild(nj)
}
} 

function calc()
{
var x=$("context").childNodes.length-1;
alert(x) 

} 

function remove()
{
var i=$("context").childNodes.length-1;
var remobj=$("context").childNodes[i];
remobj.removeNode(true)
}
&lt;/script&gt;
&lt;body&gt; 

&lt;div id="context"&gt;
&lt;select id="area" on
change="choice()"&gt;
&lt;/select&gt;
&lt;/div&gt;
&lt;input type=button value="显示" onclick="show()"&gt;
&lt;input type=button value="计算结点" onclick="calc()"&gt;
&lt;input type=button value="删除" onclick="remove()"&gt;
&lt;/body&gt;
&lt;/html&gt; </pre>
<p>以上所述就是本文的全部内容了，希望大家能够喜欢。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索下拉菜单<br />
                                    Option对象<br />
                                    option下拉菜单默认值、javascript下拉菜单、javascript做下拉菜单、javascript option、javascript获取option，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 07:28:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%8b%e6%8b%89%e8%8f%9c%e5%8d%95/" title="下拉菜单">下拉菜单</a>, <a href="https://www.iamivan.net/tag/option%e5%af%b9%e8%b1%a1/" title="Option对象">Option对象</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>浅谈下拉菜单中的Option对象_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjmAv6z.html" rel="bookmark">浅谈js常用内置方法和对象&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JS内置函数不从属于任何对象,在JS语句的任何地方都可以直接使用这些函数.JS中常用的内置函数如下: 1.eval(str)接收一个字符串形式的表达式,并试图求出表达式的值.作为参数的表达式可以采用任何合法的操作符和常数.如果参数中包含JS命令,这些命令也可以被执行,就像这些命令是JS程序的一部分一样. 2.parseInt(str,n)试图从一个字符串中提取一个整数.可附加一个n整数实现返回n进制整数.如果在字符串中存在除了数字.符号.小数点和指数符号以外的字符,就停止转换,返回已有的结果.如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn76yjz.html" rel="bookmark">Android系统移植与调试之-------&amp;amp&semi;gt&semi;增加一个双击物理按键打开和关闭闪光灯并将闪光灯状态同步到下拉菜单中</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近有一个客户有这样的需求: 1.在[设置]---&gt;[无障碍]中添加一个开关按钮.             如果打开开关的话,双击某个物理按键的时候,打开闪光灯,再双击该物理按键的时候,关闭闪光灯.              如果关闭开关的话,双击该物理按键的时候,不做任何处理. 2.打开关闭闪光灯的状态,在下拉菜单中也要同步. 如下图所示的效果:                                          当打开上面添加的开关后,如果双击POC键(POC键是我们公司自定义			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8L2Zp.html" rel="bookmark">浅谈使用MVC模式进行JavaScript程序开发&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着前台开发日益受到重视,客户端代码比重日益增加的今天,如何在javascript开发里应用MVC模式,这个问题似乎会一直被提到,所以偶在这里粗略的谈一下自己的看法吧. MVC模式的基本理念,是通过把一个application封装成model, view和controller三个部分达到降低耦合,简化开发的目的.这么说很空洞,大家可以实际看个例子: &lt;select id=&quot;selAnimal&quot;&gt; &lt;option value=&quot;cat&quot;&gt;cat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLdAdM.html" rel="bookmark">浅谈bootstrap源码分析之tab&lpar;选项卡&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实现tab选项卡的应用,此插件相对比较简单 源码文件: tab.js 实现原理 1.单击一个元素时,首先将原来高亮的元素取消 2.然后给被单击元素进行高亮 3.如果单击元素是下拉框中某个选项,则选中本身,还要选中下拉框 5.如果定义了动画,先执行动画,然后回调 源码分析: 1.Show方法,是在单击一个元素的时候触发,会触发如下四个事件 1.1.Hiden.bs.tab:隐藏上一个元素 1.2.Show.bs.tab:显示当前元素 1.3.Hideen.bs.tab:隐藏上一个元素完成 1.4.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkqVXz.html" rel="bookmark">Bootstrap下拉菜单效果实例代码分享&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下拉菜单Dropdown不是表单中&lt;select&gt;&lt;option value=''&gt;&lt;/option&gt;&lt;/select&gt;那种啊,而是导航条中常见的那种.  Bootstrap官方网站对下拉菜单Dropdown的解释很少,即使是他们的英文官方网站.  对于如何更改下拉菜单的背景颜色.如果对下拉菜单默认的黑色超级链接进行修改,如何把下拉菜单更改成普通的超级链接而不是文字的样式,官方网站是完全没有具体的解释.  而且,官方网站的超级链接代码杂糅着许多没有用的参数.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7x6oz.html" rel="bookmark">javascript实现的一个带下拉框功能的文本框&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时我们需要一个可选的下拉框来选取内容,但是但是又有可以自定义输入的需求.对于这种需求,大部分网站使用的都是一个下拉框和一个 input text ,并列或分行给出选择.那么,我们希望它看上去像一个可以输入也可以选择的下拉框,那该如何做呢? 其实我们可以通过 css position 定位及少许的 javascript 代码,模拟出来这种效果. 复制代码 代码如下: &lt;!DOCTYPE html&gt;&lt;html&gt;&lt;head&gt; &lt;title&gt;可编辑可选择的下拉框&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7e2Wp.html" rel="bookmark">浅谈React 属性和状态的一些总结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.属性 1.第一种使用方法:键值对 &lt;ClaaNameA name = &quot;Tom&quot; /&gt; &lt;ClaaNameA name = {Tom} /&gt; &lt;ClaaNameA name = {&quot;Tom&quot;} /&gt; &lt;ClaaNameA name = {[1,2,3]} /&gt;//数组 &lt;ClaaNameA name = {FunctionNAme} /&gt; //定义一个函数 2.第二种方法:三个点的展开对象形式 var			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNDq9p.html" rel="bookmark">浅谈JS继承&lowbar;借用构造函数 &amp;amp&semi; 组合式继承&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.借用构造函数 为解决原型中包含引用类型值所带来的问题, 我们使用一种叫做 借用构造函数(constructor stealing)的技术(又叫伪造对象或经典继承). 这种技术的基本思想:在子类构造函数内部调用超类型构造函数. 通过使用apply()和call()方法可以在新创建的子类对象上执行构造函数. function SuperType(){ this.colors = [&quot;red&quot;, &quot;blue&quot;, &quot;green&quot;]; } functi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOngOqp.html" rel="bookmark">jquery及原生js获取select下拉框选中的值示例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在有一id=test的下拉框,怎么拿到选中的那个值呢? 分别使用javascript原生的方法和jquery方法 复制代码 代码如下: &lt;select id=&quot;test&quot; name=&quot;&quot;&gt; &lt;option value=&quot;1&quot;&gt;text1&lt;/option&gt; &lt;option value=&quot;2&quot;&gt;text2&lt;/option&gt; &lt;/select&gt; 一:javas			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxaRp7.html" rel="bookmark" class="title">Windows无法安装到这个磁盘。请确保在计算机的BIOS菜单中启用了磁盘控制器</a>
					<div>
						今天一朋友问我这个问题,呃,以前我也遇到过,但忘记记录了,这次就记录一下吧,就懒得打字了,图片里面很清楚了 不说点什么的话是不是太水了O(∩_∩)O~,好吧扩充一下: Windows无法安装到这个磁盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMA6DXp.html" rel="bookmark" class="title">Jni使用基础（一）之简单介绍说明</a>
					<div>
						  JNI(Java Native Interface,JAVA原生接口)  Jni 是一个协议,用来沟通java代码和外部的本地代码(c/c++)相互调用.   为什么要进行交互?  首先,Java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjx30p.html" rel="bookmark" class="title">数据库设计及建模工具&mdash;&mdash;ERwin简介</a>
					<div>
						设计|数据|数据库|数据库设计 ERwin用来建立实体-关系(E-R)模型,是关系数据库应用开发的优秀CASE工具.ERwin可以方便地构造实体和联系,表达实体间的各种约束关系,并根据模板创建相应的存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBWA9M.html" rel="bookmark" class="title">用户体验&colon;Facebook的用户体验哲学</a>
					<div>
						最近Facebook被传登陆中国,相对于Google这类互联网大佬,Facebook这种Web2.0大佬的经营哲学仍然透着股神秘和新鲜,最近约百姓网CEO王建硕写了篇关于Facebook的文章,非常不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkoOwp.html" rel="bookmark" class="title">SEO诊断倡议书：剔除潜在隐患 重塑网站价值</a>
					<div>
						做SEO优化,顺势搜索引擎规则才能突出网站价值.然而在实际的操作中却由于不甚专业而导致问题频频,排名起伏不定或始终难以逾越超越自我的天堑成为了最直观的表现.甚至由于错误的优化方式葬送了网站的一生,却仍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMA5nXM.html" rel="bookmark" class="title">VC&plus;&plus;调试方法和技巧</a>
					<div>
						便于调试的代码风格: 不用全局变量 所有变量都要初始化,成员变量在构造函数中初始化 尽量使用const 详尽的注释 VC++编译选项: 总是使用/W4警告级别 在调试版本里总是使用/GZ编译选项,用来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RERdp.html" rel="bookmark" class="title">Spine&period;JS&plus;Rails重客户端Web应用技术选型思路：风车架构设计</a>
					<div>
						上周末,应邀在 Hacker News 上海聚会和 Ruby 上海活动上做了『风车』架构介绍的分享,在此感谢各位组织者和活动场地提供方. 风车这个项目开始于 2011 年 11 月份,之前叫做 Pra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxLPAb.html" rel="bookmark" class="title">Oracle 11g Dataguard的配置总结</a>
					<div>
						经过了半个月的Oracle dataguard物理备库配置与学习,虽然版本采用Oracle 11g(11.2.0.3),配置过程仍然适用Oracle 10g.在近10次的dataguard配置过程中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNnQlb.html" rel="bookmark" class="title">dlink如何设置无线路由器获取稳定无线信号</a>
					<div>
						  无线路由功能其实就是我们有线路中自带的一个功能,我用的是tplink方法与dlink设置差不多,下面我来给大家介绍设置无线路由器,获取稳定无线信号方法介绍. 在实际中影响无线信号稳定性和连接速度的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW8L6p.html" rel="bookmark" class="title">全新Linux笔记本电脑用U盘装Win7&sol;XP系统教程</a>
					<div>
						买了预装Linux笔记本的用户,第一件事就是想着Windows XP系统安装或者Windows 7系统安装的事,在网上搜索XP系统安装教程(怎么用U盘装XP系统),如何重装XP系统(如何安装Win7系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bad4rnz.html" rel="bookmark" class="title">win7系统如何安装Adobe after effects cc软件</a>
					<div>
						  具体方法如下: 1.首先下载好我们的软件,解压之后打开文件夹,找到红色的安装程序; 2.双击打开安装程序,弹出图片中的提示框点忽略,不弹出直接进入下一步,等待软件安装初始化完成; 3.初始化完成之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZBm3b.html" rel="bookmark" class="title">u盘自动播放功能无法使用解决办法</a>
					<div>
						  随着系统的不断升级,为了防止移动设备携带病毒造成计算机感染,有时会关闭u盘自启动功能,这也是自动播放功能无法使用的原因.那么,我们该如何重新启用这一功能呢? 1.按组合键(win键+R键)打开&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE845p.html" rel="bookmark" class="title">domino web service使用者相关问题</a>
					<div>
						问题描述 domino web service使用者相关问题 %INCLUDE &quot;lsxsd.lss&quot; Const n0 = &quot;xxxxxxxxxxxxxxxxxxxxx ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQNZ8p.html" rel="bookmark" class="title">我安装rhel的时候分好区安装完成之前 出现了安装引导装载程序时出错，无法引导该系统</a>
					<div>
						问题描述 我安装rhel的时候分好区安装完成之前 出现了安装引导装载程序时出错,无法引导该系统 我安装rhel的时候分好区安装完成之前 出现了确定对话框:安装引导装载程序时出错,无法引导该系统,点击确 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmDl0z.html" rel="bookmark" class="title">阿里云服务器收不到websocket握手消息</a>
					<div>
						问题描述 阿里云服务器收不到websocket握手消息 代码如下,这段代码在我的vm虚拟机里可以正常运行,服务端能收到握手消息.但把代码放到阿里云服务器上时就,能收到accept请求,就是没触发rea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKY1A5p.html" rel="bookmark" class="title">combobox自动检索问题</a>
					<div>
						问题描述 采用Combobox自动检索功能this.combo_RoomNum.AutoCompleteCustomSource=collection;this.combo_RoomNum.AutoC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7r42p.html" rel="bookmark" class="title">　网购产品有差别 新《消法》及时修订</a>
					<div>
						网购是现在年轻人更多选择的选购途径,特别是家电产品,由于家电产品的功能一目了然,不必亲自试用,因此,网购更加方便,不必出门就可以拿到想要的 产品.这几年,网购蔚然成风,网店也是经历了高速的发展,京东. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgw42BM.html" rel="bookmark" class="title">visual studio-Visual Studio MVC5 没有添加Areas文件夹选项？</a>
					<div>
						问题描述 Visual Studio MVC5 没有添加Areas文件夹选项? RT我的VISUAL STUDIO 2015 咋找不到添加Areas文件夹的选项呢?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBN9NM.html" rel="bookmark" class="title">搜狐今日发布第三季度未经审计财报</a>
					<div>
						摘要: 查看最新行情 北京时间11月3日下午消息, 搜狐 (Nasdaq: SOHU )今天发布了截至2014年9月30日的第三季度未经审计财报.财报显示,搜狐第三季度总营收4.3亿美元,同比增长17 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwWvmM.html" rel="bookmark" class="title">新手利用IIS建站图解详细版</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 对于没有亲自搭建网站经验的新手来说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy1O6z.html" rel="bookmark" class="title">稳健：银行头号使命</a>
					<div>
						访华夏银行南京分行行长沈建 Stability: irst principle of a bank An interview with Shen Jian, director of Nanjing b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBVvOz.html" rel="bookmark" class="title">如何给 外部程序 发消息</a>
					<div>
						问题描述 外部程序有个listbox,我现在已经取得了该listbox得窗口句柄,在c#程序中想通过sendmessage来双击listbox中得第三条记录,在c#中如何做呢,双击事件是LBN_DBC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXWPBb.html" rel="bookmark" class="title">DOS系统下 怎么查看MAC地址  及连接局域网上传LOG</a>
					<div>
						问题描述 本人最近碰到个DOS项目遇到2个问题,求协助:1.查看MAC地址的命令是什么?--纯DOS系统2.需要将LOG传到局域网指定地址,需要怎么做? 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmR0qp.html" rel="bookmark" class="title">市消协列出五类&OpenCurlyDoubleQuote;霸王条款&rdquo;</a>
					<div>
						今年3月初,市消协对社会公开征集不公平的格式合同条款,也就是消费者常说的&quot;霸王条款&quot;.昨天,记者从市消协获悉,截止到今年4月30日,市消协在征集不公平格式合同条款活动中,共收到消费 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmAA8p.html" rel="bookmark" class="title">Android系统自带样式 &lpar;android&colon;theme&rpar;&lowbar;Android</a>
					<div>
						android:theme=&quot;@android:style/Theme.Dialog&quot; : Activity显示为对话框模式 android:theme=&quot;@androi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm47Op.html" rel="bookmark" class="title">关闭页面window&period;location事件未执行的原因及解决方法&lowbar;javascript技巧</a>
					<div>
						1.问题描述: JS中定义widow.location = function(),页面关闭时,logout()函数未执行. window.onunload = function() { logout( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWwQZz.html" rel="bookmark" class="title">7月22日百度大地震之后SEOER该怎么做</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 首先,我们来了解下7月22日,到底 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLrRgM.html" rel="bookmark" class="title">請教一個關于DLLRegisterServer的問題</a>
					<div>
						问题描述 注册mswinsck控件,没有dllregisterserver输入点是怎么回事啊?我的開發工具是vb6.0+sql 解决方案 解决方案二:路过帮顶=============11月6日,论坛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mqg8n3z.html" rel="bookmark" class="title">Chrome发布重要安全更新，将抵御量子计算机发起的黑客攻击</a>
					<div>
						    Google周四发布消息称,Chrome 54版中将用一种叫做CECPQ1的技术对网站发送和接收的数据进行加密,并表示这种加密技术主要用来预防将来使用量子计算机发出的黑客攻击. 量子计算机有着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmR6aaz.html" rel="bookmark" class="title">Knockout应用开发指南 第三章：绑定语法（1）</a>
					<div>
						原文:Knockout应用开发指南 第三章:绑定语法(1) 第三章所有代码都需要启用KO的ko.applyBindings(viewModel);功能,才能使代码生效,为了节约篇幅,所有例子均省略了此 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
